After upgrading to 3.0, Redmine breaks

2015-06-27 23:34 - Tim Totten

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Rails support Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.3

Description

After upgrading from a 2.x version of Redmine to 3.0-stable, following the procedures on the RedmineUpgrade page, and restarting

the thin service, now connections to Redmine fail with a 502 Bad Gateway message, and the thin logfile shows:

!! Unexpected error while processing request: undefined method `clean_path_info' for Rack::Utils:M

odule

 I am running Redmine on Debian 8, another user from the forums was using Ubuntu 14.04. Everyone who has reported this is using 

thin as the middleware.

Here is the output of bin/about

Environment:

  Redmine version                3.0.3.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.3

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Cvs                            1.12.13

  Bazaar                         2.7.0

  Git                            2.1.4

  Filesystem

Redmine plugins:

  no plugin installed

 This was noted in the Help forums This has been noted in the forums Redmine 3.0.x undefined method `clean_path_info' for Rack...

but no resolution has been posted.

This is a severe problem, and I hope it can be resolved without the necessity of rolling back to Redmine 2.x.

History

#1 - 2015-06-27 23:57 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Please contact thin or Debian team.

We can do nothing.

#2 - 2015-06-28 00:02 - Tim Totten

That is not very helpful. I hate to roll back, but I guess that's what I'll have to do. I followed the procedure directly from your page. It's never had any

problems before upgrading YOUR software, so blaming it on Debian or thin which weren't upgraded today, is very unprofessional.

#3 - 2015-06-28 00:12 - Toshi MARUYAMA

I don't know your thin is packaged by Debian or not.

If it is packaged, you should contact Debian team.

If you installed manually, you should contact thin team.
#4 - 2015-06-28 00:14 - Tim Totten

My question is, why would upgrading Redmine break thin? It was working perfectly this morning, then stopped when I upgraded Redmine.

I will try upgrading thin itself and see if that fixes things.

#5 - 2015-06-28 00:17 - Toshi MARUYAMA

Redmine is Rails app and does not depend on any Web server.

#6 - 2015-06-28 00:28 - Tim Totten

The problem seems to that there are multiple versions of 'rack' installed, and it's using the wrong one. I'm going to clean out old gems and try again.

#7 - 2015-06-28 00:33 - Tim Totten

It did not appear to change anything. It's still complaining about clean_path_info being missing from Rack::Utils even though it's certainly there.

#8 - 2015-06-28 00:54 - Tim Totten

I have opened an issue with thin to see if they can suggest anything. If this gets resolved without having to roll back to an earlier version of Redmine, I

will update this issue and the forum post with the changes that helped.

#9 - 2015-06-29 18:00 - Tim Totten

One thing about my Redmine installation, it was from source, with a lot of stuff installed via 'gem'. I had to uninstall thin and ruby-rack from the Debian

repository, and install them from 'gem', now everything works fine.

#10 - 2016-06-08 18:06 - Toshi MARUYAMA

- Description updated
